/* helper file for multithreading */

#ifndef _thread_macros
#define _thread_macros

#if MULTI_THREAD>1
#include <pthread.h>

// define/use mutex macros
#define MUTEX(i) static pthread_mutex_t i = PTHREAD_MUTEX_INITIALIZER
#define LOCK_MUTEX(i) pthread_mutex_lock(&(i))
#define UNLOCK_MUTEX(i) pthread_mutex_unlock(&(i))

#else
#define MUTEX(i)
#define LOCK_MUTEX(i)
#define UNLOCK_MUTEX(i)

#endif

#endif